package com.ssj.service.reading.in;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import com.ssj.framework.basic.utils.DateHelper;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 会员管理入参实体
 */
public class VipManagerInDto extends BaseRequest{


	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="vipId",value="会员id",required=true)
	@NotNull
	private String vipId;

	@ApiModelProperty(name="libId",value="馆id",required=true)
	@NotNull
	private String libId;

	@ApiModelProperty(name="signMonth",value="查询月份",required=false)
	private String signMonth = DateHelper.format(new Date(),"YYYY-MM");

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getSignMonth() {
		return signMonth;
	}

	public void setSignMonth(String signMonth) {
		this.signMonth = signMonth;
	}
}
